Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1653671 - SELinux is preventing ps from 'getattr' accesses on the Verzeichnis /proc/<pid>.
Summary: SELinux is preventing ps from 'getattr' accesses on the Verzeichnis /proc/<pid>.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0379f587c22196fe83af53eb2e4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 11:45 UTC by Frank Büttner
Modified: 2019-02-04 11:13 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.1-51.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 11:13:18 UTC
Type: ---


Attachments (Terms of Use)

Description Frank Büttner 2018-11-27 11:45:38 UTC
Description of problem:
Use blueman
SELinux is preventing ps from 'getattr' accesses on the Verzeichnis /proc/<pid>.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ps should be allowed getattr access on the <pid> directory by default.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'ps' --raw | audit2allow -M my-ps
# semodule -X 300 -i my-ps.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0
Target Context                system_u:system_r:syslogd_t:s0
Target Objects                /proc/<pid> [ dir ]
Source                        ps
Source Path                   ps
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-48.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.19.2-200.fc28.x86_64 #1 SMP Wed
                              Nov 14 20:58:35 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-11-27 12:44:18 CET
Last Seen                     2018-11-27 12:44:18 CET
Local ID                      0dae0d4b-ec81-4304-a0fa-6b5a9c32f67d

Raw Audit Messages
type=AVC msg=audit(1543319058.361:611): avc:  denied  { getattr } for  pid=7540 comm="ps" path="/proc/896" dev="proc" ino=24098 scontext=system_u:system_r:blueman_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=dir permissive=0


Hash: ps,blueman_t,syslogd_t,dir,getattr

Version-Release number of selected component:
selinux-policy-3.14.1-48.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.19.2-200.fc28.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-01-09 17:29:53 UTC
commit 9637b563aef7897026a5eecc8eb9bd9068014de7 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Jan 9 18:29:31 2019 +0100

    Dontaudit ptrace all domains for blueman_t BZ(1653671)

Comment 2 Fedora Update System 2019-01-13 15:43:13 UTC
selinux-policy-3.14.1-51.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8a902b473

Comment 3 Fedora Update System 2019-01-14 02:22:29 UTC
selinux-policy-3.14.1-51.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8a902b473

Comment 4 Fedora Update System 2019-02-04 11:13:18 UTC
selinux-policy-3.14.1-51.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.